using System;
using System.Reflection;

internal sealed class Delegate513 : MulticastDelegate
{
	public extern MethodInfo Invoke(object object_0);

	public static MethodInfo smethod_0(object object_0, Delegate513 delegate513_1)
	{
		return delegate513_1(object_0);
	}

	public extern Delegate513(object object_0, IntPtr intptr_0);

	static Delegate513()
	{
		Class10.smethod_13(typeof(Delegate513).TypeHandle);
	}

	internal static Delegate513 delegate513_0;
}
